> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/prehled-pozadavku-geopard-api/17.-dotaz-ziskani-pudnich-dat.md).

# 17. Dotaz: Získání „půdních dat“

Získejte všechny "SoilDatasets" pro vybrané "Field". Datové sady lze načíst pomocí obecných GraphQL dotazů jako `getFarms` a `getFields` z připojeného "Field".&#x20;

{% hint style="warning" %}
"SoilDataset" musí být nahrána předem.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #vzor "<OperationType> <YYYY-mm-DD>"
        operationId #pokud existuje
        number #celkový počet geofeatures
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #úplné informace pro každý atribut
          name #odkaz na statistiky >> atribut
          transliteratedName
          fullName #pokud existuje
          unit #pokud existuje
        }

        createdDate #datum a čas vytvoření entity v GeoPard
        updatedDate #datum a čas poslední aktualizace
        operationType
        operationId
        operationFileDate #datum a čas vytvoření souboru
        operationStartDate #začátek operace
        
        statistics { #rozdělení statistik pro každý půdní atribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          krátkýNázev
          hexColorCodes
          classes
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        název  
        operationId #pokud existuje 
        number #celkový počet geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #odkaz na statistiky >> atribut
          transliteratedName
          fullName #pokud existuje
          unit #pokud existuje
        }
      
        createdDate #datum a čas vytvoření v GeoPard
        updatedDate #datum a čas poslední aktualizace v GeoPard
        operationFileDate #datum a čas vytvoření souboru (pokud existuje)
        operationStartDate #začátek operace (pokud existuje)
      
        statistics { #statistické rozložení pro každý půdní atribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #vizuální zobrazení
          url
          krátkýNázev
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/prehled-pozadavku-geopard-api/17.-dotaz-ziskani-pudnich-dat.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
